SELECT 
    title,
    itemtype,
    DATE(cout) AS CheckoutDate,
    DATE_FORMAT(cout, '%H:%i') AS CheckoutHour,
    TIMESTAMPDIFF(HOUR, cout, cin) AS CheckoutDurationHours,
    deweyClass
FROM
    spl_2016.inraw
WHERE
    (LOWER(title) LIKE '%artificial intelligence%'
        OR LOWER(title) LIKE '%machine learning%'
        OR LOWER(title) LIKE '%neural networks%'
        OR deweyClass IN ('006.3'))
        AND cout >= '2021-01-01'
        AND cout < '2024-01-01'
ORDER BY cout;
