SELECT 
    title,
    itemtype,
    DATE(cout) AS CheckoutDate,
    DATE_FORMAT(cout, '%H:%i') AS CheckoutHour,
    TIMESTAMPDIFF(HOUR, cout, cin) AS CheckoutDurationHours,
    deweyClass
FROM
    spl_2016.inraw
WHERE
    (LOWER(title) LIKE '%textile%'
        OR LOWER(title) LIKE '%fabric%'
        OR LOWER(title) LIKE '%weaving%'
        OR deweyClass IN ('746' , '745', '677'))
        AND cout >= '2021-01-01'
        AND cout < '2024-01-01'
ORDER BY cout;
