enum ItemType {
  BOOK, CD, DVD, MAGAZINE, SHEETMUSIC, OTHER
}

class Item {
  String title;
  ItemType itemtype;
  String checkoutDate; // Format: YYYY-MM-DD
  int checkoutHour;
  int checkoutDuration;
  float deweyClass; // This can be used for categorization or coloring

  Item(String title, String itemtype, String checkoutDate, int checkoutHour, int checkoutDuration,float deweyClass) {
    this.title = title;
    this.itemtype = convertItemType(itemtype);
    this.checkoutDate = checkoutDate;
    this.checkoutHour = checkoutHour;
    this.checkoutDuration = checkoutDuration;
    this.deweyClass = deweyClass;
  }
  
  void display() {
    println("Title: " + title);
    println("Item Type: " + itemtype);
    println("Date: " + checkoutDate);
    println("Checkout Time: " + checkoutHour);
    println("________________");    
  }
  
  ItemType convertItemType(String itemtype) {
    if (itemtype.toLowerCase().contains("bk")) {
      return ItemType.BOOK;
    } else if (itemtype.toLowerCase().contains("cd")) {
      return ItemType.CD;
    } else if (itemtype.toLowerCase().contains("dvd")) {
      return ItemType.DVD;
    } else if (itemtype.toLowerCase().contains("per") || itemtype.toLowerCase().contains("mus")) {
      return ItemType.MAGAZINE;
    } else {
      return ItemType.OTHER;
    }
  }
}

//color getColorForItemType(ItemType itemtype) {
//  switch (itemtype) {
//    case BOOK:
//      return color(90,150,255); // Red for BOOK
//    case CD:
//      return color(0, 60, 255); // Green for CD
//    case DVD:
//      return color(0, 0, 255); // Blue for DVD
//    case MAGAZINE:
//      return color(255, 255, 0); // Yellow for MAGAZINE
//    case SHEETMUSIC:
//      return color(255, 0, 255); // Magenta for SHEETMUSIC
//    case OTHER:
//      return color(0, 255, 255); // Cyan for OTHER
//    default:
//      return color(150); // Default gray color
//  }
//}
