//parsing raw string representing cout date into numerical representation of day checked out 0-366 
int parseDay(String rawDate) { //0 to 365 
  String[] dates = split(rawDate, '-');
  int year = int(dates[0]);
  int month = int(dates[1]);
  int day = int(dates[2]);
  return dayOfYear(year, month, day) - 1;
}

int maxCheckoutDuration() {
  int maxDuration = 0; // Start with a default value of 0
  for (Item item : items) {
    if (item.checkoutDuration > maxDuration) {
      maxDuration = item.checkoutDuration; // Update maxDuration if the current item has a larger value
    }
  }
  return maxDuration; // Return the largest value found
}

int dayOfYear(int year, int month, int day) {
  int[] daysInMonth = {0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};

  // Check for leap year and adjust February
  if (isLeapYear(year)) {
    daysInMonth[2] = 29;
  }

  int dayCount = day;
  for (int i = 1; i < month; i++) {
    dayCount += daysInMonth[i];
  }

  return dayCount;
}

//helper function checking if year is leap year since this affects total number of days
boolean isLeapYear(int year) {
  return (year % 4 == 0 && year % 100 != 0) || (year % 400 == 0);
}

//parsing the raw string representing cout date into numerical representation of day checked out
int parseYear(String rawDate) { //0 (2006) -> 6574 (2023) for all the days in these years
  String[] dates = split(rawDate, '-');
  int year = int(dates[0]);
  int month = int(dates[1]);
  int day = int(dates[2]);
  
  int prevYearDays = 0;
  for (int currYear = startYear; currYear<year; currYear++) {
    if (isLeapYear(currYear)) {
      prevYearDays += 366;
    } else prevYearDays += 365;
  }
  
  return prevYearDays + parseDay(rawDate);
}

//parse raw string representing cout time into numerical representation of minute checked out
int parseTime(String rawTime) { //0 - 720 (12 hours of data)
  String[] times = split(rawTime, ':');
  int hour = int(times[0]);
  int minute = int(times[1]);
  int time = (60 * hour) + minute;
  time = time -startTime;
  return time;
}
